Subject: Re: Lawn Care

From: [email-masked] (TGray)
Date: 18 Sep 1995 02:06:16 -0400

I think you need someone to look at your lawn.  "...[T]urning medium brown
in spots..." can be caused by anything from herbicides to subterranean
rocks.  It's possibly a result of fertilizer burn from irregular
application.  Get a good gardener, not just a mow-blow-and-go.